"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WATCH_COOKIE_INTERVAL_DELAY = void 0;
exports.createCookieObservable = createCookieObservable;
const browser_core_1 = require("@datadog/browser-core");
exports.WATCH_COOKIE_INTERVAL_DELAY = browser_core_1.ONE_SECOND;
function createCookieObservable(cookieName) {
    return new browser_core_1.Observable((observable) => 
    // NOTE: we don't use cookiestore.addEventListner('change', handler) as it seems to me more prone to bugs
    // and cause our tests to be flaky (and probably in production as well)
    watchCookieStrategy(cookieName, (event) => observable.notify(event)));
}
function watchCookieStrategy(cookieName, callback) {
    const previousCookieValue = (0, browser_core_1.findCommaSeparatedValue)(document.cookie, cookieName);
    const watchCookieIntervalId = (0, browser_core_1.setInterval)(() => {
        const cookieValue = (0, browser_core_1.findCommaSeparatedValue)(document.cookie, cookieName);
        if (cookieValue !== previousCookieValue) {
            callback(cookieValue);
        }
    }, exports.WATCH_COOKIE_INTERVAL_DELAY);
    return () => (0, browser_core_1.clearInterval)(watchCookieIntervalId);
}
//# sourceMappingURL=cookieObservable.js.map