"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startAccountContext = startAccountContext;
exports.buildAccountContextManager = buildAccountContextManager;
const browser_core_1 = require("@datadog/browser-core");
const hooks_1 = require("../../hooks");
function startAccountContext(hooks, configuration) {
    const accountContextManager = buildAccountContextManager();
    if (configuration.storeContextsAcrossPages) {
        (0, browser_core_1.storeContextManager)(configuration, accountContextManager, 'rum', 4 /* CustomerDataType.Account */);
    }
    hooks.register(0 /* HookNames.Assemble */, ({ eventType }) => {
        const account = accountContextManager.getContext();
        if ((0, browser_core_1.isEmptyObject)(account) || !account.id) {
            return hooks_1.SKIPPED;
        }
        return {
            type: eventType,
            account,
        };
    });
    return accountContextManager;
}
function buildAccountContextManager() {
    return (0, browser_core_1.createContextManager)('account', {
        propertiesConfig: {
            id: { type: 'string', required: true },
            name: { type: 'string' },
        },
    });
}
//# sourceMappingURL=accountContext.js.map