"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startGlobalContext = startGlobalContext;
exports.buildGlobalContextManager = buildGlobalContextManager;
const browser_core_1 = require("@datadog/browser-core");
function startGlobalContext(hooks, configuration) {
    const globalContextManager = buildGlobalContextManager();
    if (configuration.storeContextsAcrossPages) {
        (0, browser_core_1.storeContextManager)(configuration, globalContextManager, 'rum', 2 /* CustomerDataType.GlobalContext */);
    }
    hooks.register(0 /* HookNames.Assemble */, ({ eventType }) => ({
        type: eventType,
        context: globalContextManager.getContext(),
    }));
    return globalContextManager;
}
function buildGlobalContextManager() {
    return (0, browser_core_1.createContextManager)('global context');
}
//# sourceMappingURL=globalContext.js.map