"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startSyntheticsContext = startSyntheticsContext;
const browser_core_1 = require("@datadog/browser-core");
const hooks_1 = require("../../hooks");
function startSyntheticsContext(hooks) {
    hooks.register(0 /* HookNames.Assemble */, ({ eventType }) => {
        const testId = (0, browser_core_1.getSyntheticsTestId)();
        const resultId = (0, browser_core_1.getSyntheticsResultId)();
        if (!testId || !resultId) {
            return hooks_1.SKIPPED;
        }
        return {
            type: eventType,
            session: {
                type: "synthetics" /* SessionType.SYNTHETICS */,
            },
            synthetics: {
                test_id: testId,
                result_id: resultId,
                injected: (0, browser_core_1.willSyntheticsInjectRum)(),
            },
        };
    });
}
//# sourceMappingURL=syntheticsContext.js.map