import type { Duration, RelativeTime } from '@datadog/browser-core';
import type { RumEvent } from './rumEvent.types';
export declare const enum HookNames {
    Assemble = 0
}
export declare const DISCARDED = "DISCARDED";
export declare const SKIPPED = "SKIPPED";
export type DISCARDED = typeof DISCARDED;
export type SKIPPED = typeof SKIPPED;
type RecursivePartialExcept<T, K extends keyof T> = {
    [P in keyof T]?: T[P] extends object ? RecursivePartialExcept<T[P], never> : T[P];
} & {
    [P in K]: T[P];
};
export type DefaultRumEventAttributes = RecursivePartialExcept<RumEvent, 'type'>;
declare const HookNamesAsConst: {
    ASSEMBLE: HookNames.Assemble;
};
export type HookCallbackMap = {
    [HookNamesAsConst.ASSEMBLE]: (param: {
        eventType: RumEvent['type'];
        startTime: RelativeTime;
        duration?: Duration | undefined;
    }) => DefaultRumEventAttributes | SKIPPED | DISCARDED;
};
export type Hooks = ReturnType<typeof createHooks>;
export declare function createHooks(): {
    register<K extends HookNames>(hookName: K, callback: HookCallbackMap[K]): {
        unregister: () => void;
    };
    triggerHook<K extends keyof HookCallbackMap>(hookName: K, param: Parameters<HookCallbackMap[K]>[0]): DefaultRumEventAttributes | DISCARDED | undefined;
};
export {};
